## org.eclipse.datatools.sqltools.result
Class ResultsViewPlugin

    java.lang.Object
      org.eclipse.core.runtime.Plugin
          org.eclipse.datatools.sqltools.result.ResultsViewPlugin

All Implemented Interfaces:
  org.osgi.framework.BundleActivator

    public class ResultsViewPlugin

extends org.eclipse.core.runtime.Plugin

The main plugin class to be used in the desktop.

Author:
  Dafan Yang

Field Summary
`static java.lang.String` `BUNDLE_NAME`
`static java.lang.String` `PLUGIN_ID`

Fields inherited from class org.eclipse.core.runtime.Plugin
`PLUGIN_PREFERENCE_SCOPE, PREFERENCES_DEFAULT_OVERRIDE_BASE_NAME, PREFERENCES_DEFAULT_OVERRIDE_FILE_NAME`

Constructor Summary
`ResultsViewPlugin()` The constructor.

Method Summary
`static ResultsViewPlugin` `getDefault()` Returns the shared instance.
`static ILogger` `getLogger(java.util.ResourceBundle bundle)` Returns a logger.
`static java.lang.String` `getPluginId()` Returns this plugin's unique identifier
`IResultHistoryIndex` `getResultHistoryIndex()` Returns the history index
`IResultManager` `getResultManager()` Returns the result manager of SQL Results View.
`java.lang.String` `getTempDir()` Returns the temporary directory for this plugin
`void` `start(org.osgi.framework.BundleContext context)` This method is called upon plug-in activation
`void` `stop(org.osgi.framework.BundleContext context)` This method is called when the plug-in is stopped

Methods inherited from class org.eclipse.core.runtime.Plugin
`find, find, getBundle, getDescriptor, getLog, getPluginPreferences, getStateLocation, internalInitializeDefaultPluginPreferences, isDebugging, openStream, openStream, savePluginPreferences, setDebugging, shutdown, startup, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### PLUGIN_ID

    public static final java.lang.String PLUGIN_ID

See Also:
  Constant Field Values

### BUNDLE_NAME

    public static final java.lang.String BUNDLE_NAME

See Also:
  Constant Field Values

Constructor Detail

### ResultsViewPlugin

    public ResultsViewPlugin()

  The constructor.

Method Detail

### start

    public void start(org.osgi.framework.BundleContext context)
               throws java.lang.Exception

  This method is called upon plug-in activation

  Specified by:
    `start` in interface `org.osgi.framework.BundleActivator`
  Overrides:
    `start` in class `org.eclipse.core.runtime.Plugin`
  Throws:
    `java.lang.Exception`

### stop

    public void stop(org.osgi.framework.BundleContext context)
              throws java.lang.Exception

  This method is called when the plug-in is stopped

  Specified by:
    `stop` in interface `org.osgi.framework.BundleActivator`
  Overrides:
    `stop` in class `org.eclipse.core.runtime.Plugin`
  Throws:
    `java.lang.Exception`

### getDefault

    public static ResultsViewPlugin getDefault()

  Returns the shared instance.

### getResultHistoryIndex

    public IResultHistoryIndex getResultHistoryIndex()

  Returns the history index

  Returns:
    the history index

### getTempDir

    public java.lang.String getTempDir()

  Returns the temporary directory for this plugin

  Returns:
    the path of temporary directory

### getLogger

    public static ILogger getLogger(java.util.ResourceBundle bundle)

  Returns a logger.

  Parameters:
    `bundle` - the bundle used in logger
  Returns:
    a logger

### getPluginId

    public static java.lang.String getPluginId()

  Returns this plugin's unique identifier

### getResultManager

    public IResultManager getResultManager()

  Returns the result manager of SQL Results View.

  Returns:
    the result manager